﻿using C1.WPF.Grid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ClearSortFlexgridNET6
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public ObservableCollection<Product> ProductList { get; set; } = new();
        public ListCollectionView List { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            DataContext = this;

            ProductList.Add(new Product { Name = "aaa", Price = 1000 , Weight=100, Cost=100, Volume=10, Discontinued=false , Rating =  1});
            ProductList.Add(new Product { Name = "bbb", Price = 500 ,Weight=200, Cost=300,Volume=20, Discontinued  = true, Rating  =20});
            ProductList.Add(new Product { Name = "ccc", Price = 1500 ,Weight=300,Cost=20, Volume= 20 , Discontinued  = false, Rating  = 5   });

            //flexgrid.ItemsSource = Product.GetProducts(15);
            List = new ListCollectionView(ProductList);
        }

        private void clrSortBtn_Click(object sender, RoutedEventArgs e)
        {
            //((ICollectionView)flexgrid.ItemsSource).SortDescriptions.Clear();
            //foreach (var column in flexgrid.Columns)
            //{
            //    Debug.WriteLine($"{column.Header}:{column.SortDirection}");
            //}

            //CollectionViewSource cvs = new CollectionViewSource();
            //cvs.Source = flexgrid.ItemsSource;

            //// Use the View property to access the CollectionView
            //ICollectionView view = cvs.View;
            //var items = flexgrid.ItemsSource as ObservableCollection<Product>;

            //ListCollectionView myListCollectionView = new ListCollectionView(items);

            //ICollectionView view = (ICollectionView)new CollectionView(flexgrid.ItemsSource);
            if (List != null && List.SortDescriptions.Count > 0)
            {
                List.SortDescriptions.Clear();
                List.Filter = null;
            }


        }

    }
}
